package com.ruoyi.demo.utils;


import com.ruoyi.common.utils.redis.RedisUtils;
import com.ruoyi.demo.constant.RedisInitContant;
import com.ruoyi.demo.entity.ManageType;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class InitMapUtil {


    public String getInitCityTierMap(String addrCode) {
        //redis -> hash(addrCode,城市等级)
        return RedisUtils.getCacheMapValue(RedisInitContant.INIT_CITY_TIER_MAP, addrCode);
    }

    public List<String> getInitCityTierListMap(String cityTier) {
        return RedisUtils.getCacheMapValue(RedisInitContant.INIT_CITY_TIER_LIST_MAP, cityTier);
    }

    public ManageType getInitManageType(String manageTypeCode) {
        return RedisUtils.getCacheMapValue(RedisInitContant.INIT_MANAGE_TYPE, manageTypeCode);
    }

    public String getInitAddrCodeMap(String addrCode) {
        return RedisUtils.getCacheMapValue(RedisInitContant.INIT_ADDR_CODE_MAP, addrCode);
    }

    public String getInitTypeByMap(String typeCodeBy) {
        return RedisUtils.getCacheMapValue(RedisInitContant.INIT_TYPE_BY_MAP, typeCodeBy);
    }

}
