package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("bl_wd_opclose_statistics")
public class WdOpclose implements Serializable {
    @TableField("stat_id")
    private String statId;

    @TableField("addr_code")
    private String addrCode;

    @TableField("wd_type_code")
    private String wdTypeCode;

    @TableField("open_count")
    private Integer openCount;

    @TableField("close_count")
    private Integer closeCount;

    @TableField("stat_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date statTime;
}
