package com.ruoyi.demo.service;

import cn.hutool.json.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.demo.entity.Brand;
import com.ruoyi.demo.entity.bo.Histogram;
import com.ruoyi.demo.entity.bo.StoreWdCategoryCount;
import com.ruoyi.demo.entity.vo.ChannelAnalyseAceeptVo;
import com.ruoyi.demo.entity.vo.ChannelMapAceeptVo;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.concurrent.ExecutionException;

public interface ChannelAnalyseService {
    HashMap<String, Long> cityTier(ChannelMapAceeptVo channelMapAceeptVo);

    Page<Brand> brandList(ChannelAnalyseAceeptVo channelAnalyseAceeptVo);

    HashMap<String, Object> tagAnalyse(ChannelMapAceeptVo channelMapAceeptVo) throws ExecutionException, InterruptedException;

    List<StoreWdCategoryCount> category(ChannelMapAceeptVo channelMapAceeptVo);

    JSONObject businessStatusAnalyse(ChannelMapAceeptVo channelMapAceeptVo);

    ArrayList<Histogram> aroundBuildAnalyse(ChannelMapAceeptVo channelMapAceeptVo);

    ArrayList<Histogram> perCapitaConsumpAnalyse(ChannelMapAceeptVo channelMapAceeptVo);

    ArrayList<Histogram> operateTimeAnalyse(ChannelMapAceeptVo channelMapAceeptVo);

    //    void businessAnalyse(ChannelMapAceeptVo channelMapAceeptVo);
}
